Skip to content

Batch Move Assets

POST
/api/creative/visual-studio/assets/batch-move

Move multiple assets to a folder (or unfile them) in one request (single save).

BatchMoveAssetsRequest

Request model for batch moving assets to a folder.

object
assetIds
required
Assetids

IDs of assets to move

Array<string>
folderId
Any of:
string

Successful Response

BatchOperationResponse

Response model for batch operations.

object
success
required
Success

Overall operation success

boolean
processed
required
Processed

Number of items processed

integer
failed
Failed

Number of items that failed

integer
0
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object